Logo

Docs

Lookup

Endpoints

Lookup endpoint reference.

GET
/lookup

Query Parameters

ids?string

Comma-separated OpenMusicMetadata ids. Maximum 100 lookup values. Cannot be combined with isrc or upc.

isrc?string

Song ISRC values. Maximum 100 lookup values. Cannot be combined with ids or upc.

upc?string

Album UPC values. Maximum 100 lookup values. Cannot be combined with ids or isrc.

include?string

Comma-separated relationships to include. Includes are limited to one relationship level. Songs support albums and artists. Albums support artists.

Response Body

application/json

application/json

curl -X GET "https://example.com/lookup?ids=omm%3Asong%3A1%2Comm%3Aalbum%3A2%2Comm%3Aartist%3A3&isrc=USRC17607839&upc=602455878540&include=albums%2Cartists"
{  "data": [    {      "id": "omm:song:1",      "type": "song",      "attributes": {        "name": "string",        "albumName": "string",        "artistName": "string",        "isrc": "string",        "artworkUrl": "string",        "trackNumber": 1,        "discNumber": 1,        "genres": [          "string"        ],        "releaseDate": "string",        "durationMs": 0      },      "relationships": {        "albums": {          "data": [            {              "id": "omm:song:1",              "type": "album",              "attributes": {                "name": "string",                "trackCount": 0,                "artistName": "string",                "artworkUrl": "string",                "upc": "string",                "genres": [                  "string"                ],                "releaseDate": "string"              },              "relationships": {                "artists": {                  "data": [                    {                      "id": "omm:song:1",                      "type": "artist",                      "attributes": {                        "name": "string",                        "artworkUrl": "string"                      }                    }                  ]                }              }            }          ]        },        "artists": {          "data": [            {              "id": "omm:song:1",              "type": "artist",              "attributes": {                "name": "string",                "artworkUrl": "string"              }            }          ]        }      }    }  ]}
{  "error": {    "status": 100,    "message": "string",    "details": [      {        "message": "string",        "param": "string",        "value": null      }    ],    "requestId": "string"  }}
GET
/lookup/{id}

Path Parameters

id*string

OpenMusicMetadata id.

Query Parameters

include?string

Comma-separated relationships to include. Includes are limited to one relationship level. Songs support albums and artists. Albums support artists.

Response Body

application/json

application/json

curl -X GET "https://example.com/lookup/omm:song:1?include=albums%2Cartists"
{  "data": {    "id": "omm:song:1",    "type": "song",    "attributes": {      "name": "string",      "albumName": "string",      "artistName": "string",      "isrc": "string",      "artworkUrl": "string",      "trackNumber": 1,      "discNumber": 1,      "genres": [        "string"      ],      "releaseDate": "string",      "durationMs": 0    },    "relationships": {      "albums": {        "data": [          {            "id": "omm:song:1",            "type": "album",            "attributes": {              "name": "string",              "trackCount": 0,              "artistName": "string",              "artworkUrl": "string",              "upc": "string",              "genres": [                "string"              ],              "releaseDate": "string"            },            "relationships": {              "artists": {                "data": [                  {                    "id": "omm:song:1",                    "type": "artist",                    "attributes": {                      "name": "string",                      "artworkUrl": "string"                    }                  }                ]              }            }          }        ]      },      "artists": {        "data": [          {            "id": "omm:song:1",            "type": "artist",            "attributes": {              "name": "string",              "artworkUrl": "string"            }          }        ]      }    }  }}
{  "error": {    "status": 100,    "message": "string",    "details": [      {        "message": "string",        "param": "string",        "value": null      }    ],    "requestId": "string"  }}